Bug 291343 - Plugins page in settings dialog is empty
Summary: Plugins page in settings dialog is empty
Status: RESOLVED FIXED
Alias: None
Product: calligrasheets
Classification: Unclassified
Component: general (show other bugs)
Version: Git
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Sheets (KSpread) Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-12 08:31 UTC by Burkhard Lück
Modified: 2012-09-04 16:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to show plugin items (2.92 KB, patch)
2012-08-26 10:35 UTC, Yuri Chornoivan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Burkhard Lück 2012-01-12 08:31:31 UTC
Plugins page in settings dialog is empty, 
error message in konsole:
tables(15468)/kdecore (trader) KServiceTypeTrader::defaultOffers: KServiceTypeTrader: serviceType  "KSpread/Plugin"  not found

Comment from Marijn Kruisselbrink in
https://git.reviewboard.kde.org/r/103614/diff/2/?file=45335#file45335line306

Oops, seems I renamed the service-type in the servicetype .desktop file, but not in the actual plugins (not that there really are any plugins at the moment, but still something that should be fixed of course)
Comment 1 Yuri Chornoivan 2012-08-26 10:35:26 UTC
Created attachment 73482 [details]
Patch to show plugin items

Not sure if this patch is enough. There are still warnings like these:

plugins should not have a 'lib' prefix: "libkspreadsolver.so"
kdecore (KPluginInfo): found 0 offers for "InformationModule"

But at least the page is not empty.
Comment 2 Yuri Chornoivan 2012-08-27 17:19:52 UTC
Git commit f75112d8a956a1bc2924ce6e51516040cf870dcc by Yuri Chornoivan.
Committed on 27/08/2012 at 19:19.
Pushed by yurchor into branch 'master'.

Enabling Sheets to show plugin items on Configure Sheets/Plugins page
REVIEW: 106220

M  +2    -2    sheets/part/ToolRegistry.cpp
M  +2    -2    sheets/part/dialogs/PreferenceDialog.cpp
M  +1    -1    sheets/plugins/calendar/kspread_plugin_tool_calendar.desktop

http://commits.kde.org/calligra/f75112d8a956a1bc2924ce6e51516040cf870dcc
Comment 3 Yuri Chornoivan 2012-09-04 16:43:37 UTC
Git commit 8a237521e43cd738cca61d29a1618d6b418a45cd by Yuri Chornoivan.
Committed on 27/08/2012 at 19:19.
Pushed by yurchor into branch 'calligra/2.5'.

Enabling Sheets to show plugin items on Configure Sheets/Plugins page
REVIEW: 106220

M  +2    -2    sheets/part/ToolRegistry.cpp
M  +2    -2    sheets/part/dialogs/PreferenceDialog.cpp
M  +1    -1    sheets/plugins/calendar/kspread_plugin_tool_calendar.desktop

http://commits.kde.org/calligra/8a237521e43cd738cca61d29a1618d6b418a45cd